Subject: Re: bug#22789: 25.1.50; In last master build https connections stop working

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 25 Feb 2016 11:02:51 +1100

Lars Ingebrigtsen <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>> I confirm the problem with the MS-Windows build: on master, https
>> doesn't work; on emacs-25 it does.
>>
>> First suspect is the async changes, of course.
>
> Yup.  I'll try do do a build without getaddrinfo_a support and see
> whether I can reproduce the https error here...

I'm unable to reproduce this bug on Ubuntu, even if I compile without
getaddrinfo{,_a} support.

If you eval the following, does anything show up in the "*foo*" buffer?

(setq proc
(make-network-process :name "foo"
		      :buffer (get-buffer-create "*foo*")
		      :host "imap.gmail.com"
		      :service 993
		      :nowait t
		      :tls-parameters
		      (cons 'gnutls-x509pki
			    (gnutls-boot-parameters
			     :type 'gnutls-x509pki
			     :hostname "imap.gmail.com"))))

* OK Gimap ready for requests from 60.225.211.161 qr7mb410250987iec

should appear.  Also, after evaling that, what does

(process-status proc)

say?  It should say "connect" for a little bit, and then "open"...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no